/*
 * $Id: wiperoom.C,v 1.3 1994/07/21 19:06:09 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1994  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
 * Clean up a room, returning it to the "text entry" room.
 * Backup the data to another file, just in case.
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "makeroom.H"

/***************************************************************************/

void swap( int *a, int *b ){
  int tmp;

  tmp = *a;
  *a = *b;
  *b = tmp;
}

/***************************************************************************/

void usage( char *progname ){
  printf( "Usage:\n" );
  printf( "  %s [parent_room_number] rooom_number\n", progname );
  exit( 1 );
}

/***************************************************************************/

void backup_room( int room ){
  char filename_from[100];
  char filename_to[100];

  sprintf( filename_from, "%s/%d.html", ABSFILEPATH, room );
  sprintf( filename_to, "%s/%d.html.bak", ABSFILEPATH, room );

  rename( filename_from, filename_to );
}

/***************************************************************************/

main( int argc, char *argv[] ){
  int room;
  int parent = 0;

  if( (argc < 2) || (argc > 3) ){
    usage( argv[0] );
  }

  room = atoi( argv[1] );

  if( argc == 3 ){
    parent = atoi( argv[2] );
  }

  if( parent == room ){
    usage( argv[0] );
  }

  if( parent > room ){
    swap( &parent, &room );
  }

  backup_room( room );
  make_room( room, parent );

  exit( 0 );
}

/***************************************************************************/

/*
 * $Log: wiperoom.C,v $
 * Revision 1.3  1994/07/21  19:06:09  asf
 * Added the backup feature like I planned
 *
 * Revision 1.2  1994/07/21  18:40:48  asf
 * Added log to the initial file.
 *
 */
